> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get plugincenterlist

> Get a list of plugins center



## OpenAPI

````yaml /swagger.json get /plugin/center/list
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /plugin/center/list:
    get:
      tags:
        - plugin
      description: Get a list of plugins center
      parameters:
        - schema:
            type: array
            items:
              type: string
          required: false
          name: ids
          in: query
        - schema:
            type: string
          required: false
          name: positions
          in: query
      responses:
        '200':
          description: Returns data about the plugin center list.
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: string
                    name:
                      type: string
                    description:
                      type: string
                    detailDesc:
                      type: string
                    logo:
                      type: string
                    helpUrl:
                      type: string
                    i18n:
                      type: object
                      example:
                        en:
                          title: Plugin title
                          description: Plugin description
                        zh:
                          title: 插件标题
                          description: 插件描述
                    url:
                      type: string
                    status:
                      type: string
                      enum:
                        - developing
                        - reviewing
                        - published
                    createdTime:
                      type: string
                    lastModifiedTime:
                      type: string
                    createdBy:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        email:
                          type: string
                          format: email
                        avatar:
                          type: string
                      required:
                        - id
                        - name
                        - email
                  required:
                    - id
                    - name
                    - logo
                    - status
                    - createdTime
                    - createdBy
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/plugin/center/list?ids=SOME_ARRAY_VALUE&positions=SOME_STRING_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/plugin/center/list?ids=SOME_ARRAY_VALUE&positions=SOME_STRING_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/plugin/center/list?ids=SOME_ARRAY_VALUE&positions=SOME_STRING_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/plugin/center/list?ids=SOME_ARRAY_VALUE&positions=SOME_STRING_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````